#ifndef __ConsoleServer_h__
#define __ConsoleServer_h__

#include "includes"
#include "TLSServer.h"
#include "Command.h"
#include "EPoll.h"
#include "LogListener.h"

namespace core {
   
   class TCPSocket;
   class TCPSession;
   
   ///
   ///  
   ///
   
   class ConsoleServer : public TLSServer, public coreutils::LogListener {
      
    public:
      
      //
      //
      //
      
      ConsoleServer(EPoll &ePoll, IPAddress address);
      
      //
      //
      //
            
      void logSend(std::string out) override;
                  
      TCPSession * getSocketAccept(EPoll &ePoll) override;

   };

}

#endif
